Debian Bug report logs - #463134
swish-e: please depend on ${perl:Depends} instead of recommending it

version graph

Package: swish-e; Maintainer for swish-e is Ludovic Drolez <ldrolez@debian.org>; Source for swish-e is src:swish-e.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 29 Jan 2008 18:39:06 UTC

Severity: important

Tags: patch

Found in versions swish-e/2.4.5-2, swish-e/2.4.5-3

Fixed in version swish-e/2.4.5-4

Done: Ludovic Drolez <ldrolez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#463134; Package swish-e. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Ludovic Drolez <ldrolez@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: swish-e: please depend on ${perl:Depends} instead of recommending it
Date: Tue, 29 Jan 2008 20:38:09 +0200
Package: swish-e
Version: 2.4.5-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-transition

While I understand the idea of keeping the perl-related dependencies as
recommendations, ${perl:Depends} is special.

Quoting the Debian Perl Policy, section 4.4.2 [1]

 4.4.2 Binary Modules

 Binary modules must specify a dependency on either perl or perl-base
 with a minimum version of the perl package used to build the module,
 and must additionally depend on the expansion of perlapi-$Config{version}
 using the Config module. 

As perl-base is Essential:yes and provides these dependencies, putting
them in the Recommends field is not going to save any disk space from
anyone. The only thing it does is make it possible for the binary module
to break when a newer version of Perl has binary-incompatible changes.
This is actually going to happen soon with the transition to Perl 5.10 [2].

Please move ${perl:Depends} into the Depends: field.

[1] http://www.debian.org/doc/packaging-manuals/perl-policy/ch-module_packages.html#s-module_deps

[2] http://wiki.debian.org/Perl5.10Transition

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#463134; Package swish-e. Full text and rfc822 format available.

Acknowledgement sent to neilm@debian.org:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. Full text and rfc822 format available.

Message #10 received at 463134@bugs.debian.org (full text, mbox):

From: neilm@debian.org
To: 463134@bugs.debian.org
Subject: swish-e: diff for NMU version 2.4.5-2.1
Date: Sat, 5 Apr 2008 22:16:49 +0100
[Message part 1 (text/plain, inline)]
tags 463134 + patch
thanks

Hi,

Attached is the diff for my swish-e 2.4.5-2.1 NMU.
[swish-e-2.4.5-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from neilm@debian.org to control@bugs.debian.org. (Sat, 05 Apr 2008 21:18:09 GMT) Full text and rfc822 format available.

Reply sent to Neil McGovern <neilm@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 463134-close@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 463134-close@bugs.debian.org
Subject: Bug#463134: fixed in swish-e 2.4.5-2.1
Date: Sat, 05 Apr 2008 22:04:03 +0000
Source: swish-e
Source-Version: 2.4.5-2.1

We believe that the bug you reported is fixed in the latest version of
swish-e, which is due to be installed in the Debian FTP archive:

swish-e-dev_2.4.5-2.1_i386.deb
  to pool/main/s/swish-e/swish-e-dev_2.4.5-2.1_i386.deb
swish-e_2.4.5-2.1.diff.gz
  to pool/main/s/swish-e/swish-e_2.4.5-2.1.diff.gz
swish-e_2.4.5-2.1.dsc
  to pool/main/s/swish-e/swish-e_2.4.5-2.1.dsc
swish-e_2.4.5-2.1_i386.deb
  to pool/main/s/swish-e/swish-e_2.4.5-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil McGovern <neilm@debian.org> (supplier of updated swish-e package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 20:14:48 +0000
Source: swish-e
Binary: swish-e swish-e-dev
Architecture: source i386
Version: 2.4.5-2.1
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Neil McGovern <neilm@debian.org>
Description: 
 swish-e    - Simple Web Indexing System for Humans - Enhanced
 swish-e-dev - Simple Web Indexing System for Humans - Enhanced
Closes: 463134
Changes: 
 swish-e (2.4.5-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * depend on ${perl:Depends} instead of recommending it
     (Closes: #463134);
Files: 
 c12c5009e12ed9a890ee7caa60289a32 648 web optional swish-e_2.4.5-2.1.dsc
 e98f67f7f1be5671e4b686ca984700cd 15571 web optional swish-e_2.4.5-2.1.diff.gz
 a6caf77a17845558ae674a16f2dc0b5f 936016 web optional swish-e_2.4.5-2.1_i386.deb
 21f308c68c6dd92730d7f568ee08532c 129458 web optional swish-e-dev_2.4.5-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+1K97LBwbNFvdMRAgktAJ9Ea5dF+oWhPnXBHXv4qPPndY0WOACaA0Il
xXDZpGk9mJkn/oNO2l7azuo=
=o7Lr
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#463134; Package swish-e. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. Full text and rfc822 format available.

Message #22 received at 463134@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 463134@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>
Subject: Reopening
Date: Wed, 13 Aug 2008 20:54:41 +0300
reopen 463134
found 463134 2.4.5-3
thanks

This violation of the Perl policy was fixed in an NMU (2.4.5-2.1) by Neil
McGovern, but silently reintroduced a month later in a maintainer upload
(2.4.5-3). Ludovic, could you please at least comment if you don't want
to fix this?
-- 
Niko Tyni   ntyni@debian.org




Bug reopened, originator not changed. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 13 Aug 2008 17:57:12 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.4.5-3. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 13 Aug 2008 17:57:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463134; Package swish-e. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Drolez <ldrolez@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #31 received at 463134@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: Niko Tyni <ntyni@debian.org>, 463134@bugs.debian.org
Subject: Re: Bug#463134: Reopening
Date: Thu, 14 Aug 2008 07:17:20 +0200
Ooops ! I'll reupload swish-e soon !

Le mercredi 13 août 2008 19:54, Niko Tyni a écrit :
> reopen 463134
> found 463134 2.4.5-3
> thanks
>
> This violation of the Perl policy was fixed in an NMU (2.4.5-2.1) by Neil
> McGovern, but silently reintroduced a month later in a maintainer upload
> (2.4.5-3). Ludovic, could you please at least comment if you don't want
> to fix this?

-- 
Ludovic Drolez.

http://www.palmopensource.com       - The PalmOS Open Source Portal
http://www.drolez.com      - Personal site - Linux and PalmOS stuff




Reply sent to Ludovic Drolez <ldrolez@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 463134-close@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: 463134-close@bugs.debian.org
Subject: Bug#463134: fixed in swish-e 2.4.5-4
Date: Tue, 16 Sep 2008 21:02:27 +0000
Source: swish-e
Source-Version: 2.4.5-4

We believe that the bug you reported is fixed in the latest version of
swish-e, which is due to be installed in the Debian FTP archive:

swish-e-dev_2.4.5-4_i386.deb
  to pool/main/s/swish-e/swish-e-dev_2.4.5-4_i386.deb
swish-e_2.4.5-4.diff.gz
  to pool/main/s/swish-e/swish-e_2.4.5-4.diff.gz
swish-e_2.4.5-4.dsc
  to pool/main/s/swish-e/swish-e_2.4.5-4.dsc
swish-e_2.4.5-4_i386.deb
  to pool/main/s/swish-e/swish-e_2.4.5-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Drolez <ldrolez@debian.org> (supplier of updated swish-e package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Sep 2008 11:23:20 +0200
Source: swish-e
Binary: swish-e swish-e-dev
Architecture: source i386
Version: 2.4.5-4
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Ludovic Drolez <ldrolez@debian.org>
Description: 
 swish-e    - Simple Web Indexing System for Humans - Enhanced
 swish-e-dev - Simple Web Indexing System for Humans - Enhanced
Closes: 463134
Changes: 
 swish-e (2.4.5-4) unstable; urgency=low
 .
   * Changed the perl dependencies from "recommends" to "depends"
     Closes: #463134
   * Changed the doc-base section to: File Management
Checksums-Sha1: 
 de0c19ab4ddb7b72fddf49bba16d92b7baddf793 1024 swish-e_2.4.5-4.dsc
 7a099730856969e32b768e0bfecd6aac804e6679 15803 swish-e_2.4.5-4.diff.gz
 772048101bde23ccb7f983e8fdaf3c2600005523 944048 swish-e_2.4.5-4_i386.deb
 68fd59b073a8d7ec06527e176605868b5d1046a1 130746 swish-e-dev_2.4.5-4_i386.deb
Checksums-Sha256: 
 8148096a3da9297001a1c6df7b29fb65a3f054f208a1525b797ef60ff2383e99 1024 swish-e_2.4.5-4.dsc
 e57e2d4255e753f5907cce2bd8f2904fc7b2bf28caac8bcebfa10f188c08e2bb 15803 swish-e_2.4.5-4.diff.gz
 bb524928fa66d8e8e268adedd715788609510356aa5c7ed09d9983d1d91cb77c 944048 swish-e_2.4.5-4_i386.deb
 8f2364d9962d357ee6e6cc8cb095dc9bb5678b1b4a193a2597b2a139332cd736 130746 swish-e-dev_2.4.5-4_i386.deb
Files: 
 29f340cbfd46064cb50c3ff39e2c61c7 1024 web optional swish-e_2.4.5-4.dsc
 365b50cd518cc9c62bb6ced2fa96332c 15803 web optional swish-e_2.4.5-4.diff.gz
 b222fd382c58fc47fe20fab8541b70bc 944048 web optional swish-e_2.4.5-4_i386.deb
 7a830a79484eab3638727b36b81283a4 130746 web optional swish-e-dev_2.4.5-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFI0BoqsRlQAP1GppgRAtxuAJ9Bzt26es1DYOPmMBnE9Wh7tvB9WQCeMnjh
N7WP3aqrw+whvYcR751+uIU=
=uaeZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Oct 2008 07:28:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:46:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.